Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 703212 - net-misc/socat-1.7.3.2 with sys-libs/musl - xio-ip4.c:49:14: error: 'NETDB_INTERNAL' undeclared (first use in this function); did you mean 'OPT_INTERVALL'?
Summary: net-misc/socat-1.7.3.2 with sys-libs/musl - xio-ip4.c:49:14: error: 'NETDB_IN...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sam James
URL: https://git.alpinelinux.org/aports/tr...
Whiteboard:
Keywords: PATCH
Depends on: 726646
Blocks: musl-porting
  Show dependency tree
 
Reported: 2019-12-17 12:44 UTC by Michael 'veremitz' Everitt
Modified: 2020-11-04 00:47 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
successful build no patches (build.log,30.31 KB, text/plain)
2019-12-18 10:16 UTC, Jory A. Pratt
Details
build.log (file_703212.txt,23.04 KB, text/plain)
2019-12-18 18:05 UTC, Michael 'veremitz' Everitt
Details
emerge --info (file_703212.txt,16.03 KB, text/plain)
2019-12-18 18:07 UTC, Michael 'veremitz' Everitt
Details
socat-1.7.3.4 build.log [working] (file_703212.txt,29.85 KB, text/plain)
2020-01-27 14:56 UTC, Michael 'veremitz' Everitt
Details
socat-1.7.3.3 build.log [working] (file_703212.txt,30.25 KB, text/plain)
2020-01-27 14:58 UTC, Michael 'veremitz' Everitt
Details
Upstream drop gethostbyname (socat-1.7.3.2-drop-gethostbyname.patch,6.56 KB, patch)
2020-01-27 16:54 UTC, Jory A. Pratt
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael 'veremitz' Everitt 2019-12-17 12:44:11 UTC
socat requires three patches to build under musl-libc.

See: https://git.alpinelinux.org/aports/tree/main/socat
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2019-12-18 05:57:54 UTC
Fails how?
Comment 2 Jory A. Pratt gentoo-dev 2019-12-18 10:16:20 UTC
Created attachment 600012 [details]
successful build no patches

Without a proper build.log and emerge --info we have no way to duplicate the issue. As you can see the build is successful based off of ~testing.
Comment 3 Michael 'veremitz' Everitt 2019-12-18 18:05:53 UTC
Created attachment 600060 [details]
build.log

My bad ...
Comment 4 Michael 'veremitz' Everitt 2019-12-18 18:07:10 UTC
Created attachment 600062 [details]
emerge --info

My bad:

It appears only the internal-netdb patch is actually required: https://git.alpinelinux.org/aports/tree/main/socat/netdb-internal.patch

This has been fixed upstream, but I cannot trace which commit to compat.h it actually happened.
Comment 5 Jory A. Pratt gentoo-dev 2019-12-18 18:33:31 UTC
(In reply to Michael 'veremitz' Everitt from comment #4)
> Created attachment 600062 [details]
> emerge --info
> 
> My bad:
> 
> It appears only the internal-netdb patch is actually required:
> https://git.alpinelinux.org/aports/tree/main/socat/netdb-internal.patch
> 
> This has been fixed upstream, but I cannot trace which commit to compat.h it
> actually happened.

I just checked compat.h from .2 to .3 and no changes are indicated. I would suggest bring .3 stable it has been around for over 9 months now.
Comment 6 Michael 'veremitz' Everitt 2020-01-27 14:56:30 UTC
Created attachment 605174 [details]
socat-1.7.3.4 build.log [working]

1.7.3.4 works fine.
Comment 7 Michael 'veremitz' Everitt 2020-01-27 14:58:15 UTC
Created attachment 605176 [details]
socat-1.7.3.3 build.log [working]

1.7.3.3 working.
Comment 8 Jory A. Pratt gentoo-dev 2020-01-27 16:53:27 UTC
This is not resolved while it is still broken for stable users. Please either open a stable bug for 1.7.3.3 or apply the patch I will attach to the bug for 1.7.3.2
Comment 9 Jory A. Pratt gentoo-dev 2020-01-27 16:54:22 UTC
Created attachment 605178 [details, diff]
Upstream drop gethostbyname

Patch as applied on upstream 1.7.3.3 branch
Comment 10 Jeroen Roovers (RETIRED) gentoo-dev 2020-06-01 11:10:37 UTC
(In reply to Jory A. Pratt from comment #8)
> Please either open a stable bug for 1.7.3.3

Yes, why don't you.
Comment 11 Michael 'veremitz' Everitt 2020-06-01 12:59:18 UTC
(In reply to Jeroen Roovers from comment #10)
> (In reply to Jory A. Pratt from comment #8)
> > Please either open a stable bug for 1.7.3.3
> 
> Yes, why don't you.

Come on children .. :P
Comment 12 Michael 'veremitz' Everitt 2020-06-01 13:32:28 UTC
One more time before I report to ComRel and QA. This bug is NOT fixed until the patch is incorporated or the stable request complete.

Stop pissing about jer.